TEMPLATE = app

QT += qml opengl svg

# android?


# CONFIG+=ANDROID DEFINES+=ANDROID
ANDROID {
    QT += androidextras
    QT += sensors
}

# openMP
QMAKE_CXXFLAGS += -fopenmp
LIBS += -fopenmp

# debug
DEFINES += WITH_DEBUG_LOG
DEFINES += WITH_ASSERTIONS

QMAKE_CXXFLAGS += -Werror=return-type

CONFIG += c++11


# use files in ./_android for the project as well
ANDROID_PACKAGE_SOURCE_DIR = $$PWD/_android

INCLUDEPATH += \
    ../ \
    ./lib/


# linux desktop wifi
#INCLUDEPATH +=/usr/include/libnl3/
#LIBS += -lnl-genl-3 -lnl-3

OTHER_FILES += \
	_android/src/WiFi.java \
        _android/src/MyActivity.java \
	_android/AndroidManifest.xml

SOURCES += \
	main.cpp \
    lib/gpc/gpc.cpp \
	../Indoor/lib/tinyxml/tinyxml2.cpp \
    ui/menu/MainMenu.cpp \
    ui/MainWindow.cpp \
    Controller.cpp \
    ui/dialog/LoadSetupDialog.cpp \
    ui/debug/SensorDataWidget.cpp \
    ui/debug/plot/PlottWidget.cpp \
    ui/debug/PlotTurns.cpp \
    ui/debug/PlotWiFiScan.cpp \
    sensors/android/WiFiSensorAndroid.cpp \
    sensors/linux/WiFiSensorLinuxC.c \
    ui/debug/InfoWidget.cpp \
    ui/map/3D/MapView3D.cpp \
    ui/map/2D/MapView2D.cpp \
    tools/calibration/WiFiCalibrationScanDialog.cpp

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
#QML_IMPORT_PATH =

# Default rules for deployment.
include(deployment.pri)

target.path = $$[QT_INSTALL_EXAMPLES]/androidextras/notification
INSTALLS += target

#DISTFILES += \
#    android-sources/AndroidManifest.xml \
#    android-sources/src/WiFi.java

HEADERS += \
	lib/gpc/gpc.h \
    sensors/linux/WiFiSensorLinux.h \
    sensors/android/WiFiSensorAndroid.h \
    sensors/StepSensor.h \
    sensors/TurnSensor.h \
    sensors/AccelerometerSensor.h \
    sensors/GyroscopeSensor.h \
    sensors/BarometerSensor.h \
    sensors/android/AccelerometerSensorAndroid.h \
    sensors/android/GyroscopeSensorAndroid.h \
    sensors/android/BarometerSensorAndroid.h \
    sensors/dummy/AccelerometerSensorDummy.h \
    sensors/dummy/GyroscopeSensorDummy.h \
    sensors/dummy/BarometerSensorDummy.h \
    sensors/Sensor.h \
    sensors/SensorFactory.h \
    sensors/WiFiSensor.h \
	misc/Debug.h \
	misc/fixc11.h \
    sensors/dummy/WiFiSensorDummy.h \
    lib/gpc/Polygon.h \
    ui/map/3D/FloorRenderer.h \
    ui/map/3D/gl/GL.h \
    ui/map/3D/gl/GLHelper.h \
    ui/map/3D/gl/GLLines.h \
    ui/map/3D/gl/GLTriangles.h \
    ui/map/3D/elements/Doors.h \
    ui/map/3D/elements/Ground.h \
    ui/map/3D/elements/Handrails.h \
    ui/map/3D/elements/Path.h \
    ui/map/3D/elements/Stairs.h \
    ui/map/3D/elements/Walls.h \
    ui/map/3D/gl/GLPoints.h \
    ui/map/3D/elements/ColorPoints.h \
    ui/map/3D/RenderParams.h \
    ui/map/3D/Renderable.h \
    ui/map/3D/gl/Shader.h \
    ui/map/3D/elements/Object.h \
    ui/Icons.h \
    ui/MainWindow.h \
    Controller.h \
    ui/menu/MainMenu.h \
    ui/dialog/LoadSetupDialog.h \
    ui/debug/plot/Axes.h \
    ui/debug/plot/Plot.h \
    ui/debug/plot/Data.h \
    ui/debug/plot/Range.h \
    nav/NavController.h \
    sensors/dummy/RandomSensor.h \
    ui/debug/SensorDataWidget.h \
    ui/debug/plot/PlottWidget.h \
    ui/debug/PlotTurns.h \
    ui/debug/PlotWiFiScan.h \
    nav/State.h \
    nav/Filter.h \
    nav/Node.h \
    sensors/linux/WiFiSensorLinuxC.h \
    sensors/offline/SensorFactoryOffline.h \
    sensors/dummy/SensorFactoryDummy.h \
    sensors/android/SensorFactoryAndroid.h \
    Settings.h \
    nav/RegionalResampling.h \
    sensors/offline/AllInOneSensor.h \
    sensors/ActivitySensor.h \
    ui/LoggerUI.h \
    ui/debug/InfoWidget.h \
    ui/UIHelper.h \
    nav/NodeResampling.h \
    ui/map/3D/MapView3D.h \
    ui/map/2D/MapView2D.h \
    ui/map/2D/Floor2D.h \
    ui/map/2D/Scaler2D.h \
    ui/map/2D/Renderable2D.h \
    ui/map/2D/RenderParams2D.h \
    ui/map/2D/ColorPoints2D.h \
    ui/map/2D/Path2D.h \
    ui/map/2D/WiFiCalibTool.h \
    ui/map/2D/HasSelectableNodes.h \
    tools/calibration/WiFiCalibrationDataModel.h \
    tools/calibration/WiFiCalibrationScanDialog.h \
    tests/RuntimeTests.h \
    ipin/StepLogger.h \
    ipin/Scaler.h \
    ipin/Config.h \
    ipin/IPINHelper.h \
    nav/NavControllerListener.h \
    ipin/StepLoggerWrapper.h \
    ipin/StepLoggerWrapperAndroid.h

DISTFILES += \
    android-sources/src/MyActivity.java \
	res/gl/vertex1.glsl \
	res/gl/fragment1.glsl \
    res/gl/tex/empty_normals.jpg \
    _android/src/aidl/it/cnr/isti/steplogger/IStepLoggerService.aidl \
    _android/src/StepLoggerClient.java
